RULEXDB_LEXBASE(3)

NAME
rulexdb_lexbase - try to find lexical base for the specified word

SYNOPSIS
#include <rulexdb.h>

int rulexdb_lexbase(RULEXDB *rulexdb, const char *s, char *t, int n);

DESCRIPTION
The rulexdb_lexbase() function scans Classifiers ruleset starting from n which must be positive trying to match the word pointed by s. When match succeeds, the lexical base is constructed in memory area
 pointed by t, which must have enough space for it, and the number of matched rule or 0 if no match found is returned.

The argument rulexdb references the rulex database to search in.

RETURN VALUE
The rulexdb_lexbase() function returns the number of matched rule that is always positive, 0 when no match found, or negative error code.

ERRORS

RULEXDB_FAILURE
    Referenced database has not been opened, internal data structures are corrupted or some other general failure has occurred.

RULEXDB_EMALLOC
    Internal memory allocation error.

RULEXDB_EPARM
    Invalid parameters are specified.

SEE ALSO
rulexdb_classify(3), rulexdb_close(3), rulexdb_dataset_name(3), rulexdb_discard_dictionary(3), rulexdb_discard_ruleset(3), rulexdb_fetch_rule(3), rulexdb_load_ruleset(3), rulexdb_open(3), rulexdb_remove_item(3), rulexdb_remove_rule(3), rulexdb_remove_this_item(3), rulexdb_retrieve_item(3), rulexdb_search(3), rulexdb_seq(3), rulexdb_subscribe_item(3), rulexdb_subscribe_rule(3)

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.